<?php
/**
 * Bootstrap.
 *
 * @package MadeByAura\Prime
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Bootstrap.
 */
class Bootstrap {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Hooks.
		Hooks\Branding::init();
		Hooks\BrowserThemeColor::init();
		Hooks\Button::init();
		Hooks\Menus::init();
		Hooks\Scripts::init();
		Hooks\Setup::init();
		Hooks\Sidebar::init();
		Hooks\StickyFooter::init();
		Hooks\StickyHeader::init();
		Hooks\TrackingCodes::init();
		Hooks\WidgetAreas::init();

		// Pages.
		Pages\Error404::init();
		Pages\Page::init();
		Pages\PostSingle::init();

		// Customizer.
		Customizer\Bootstrap::init();

		// Plugins.
		Plugins\Bootstrap::init();
	}
}
